
// Unshifted characters
unsigned char unshifted[][2] PROGMEM = {
	0x0d,9,
	0x05,1,	//F1  	 	05
	0x06,2,	//F2  	 06
	0x04,3,	//F3  	 04
	0x0c,4,	//F4  	 0C
	0x0e,'^',
	0x11,'a',	//L ALT
	0x14,'c',	//L CTRL
	0x15,'q',
	0x16,'1',
	0x1a,'y',
	0x1b,'s',
	0x1c,'a',
	0x1d,'w',
	0x1e,'2',
	0x21,'c',
	0x22,'x',
	0x23,'d',
	0x24,'e',
	0x25,'4',
	0x26,'3', 
	0x29,' ',
	0x2a,'v',
	0x2b,'f',
	0x2c,'t',
	0x2d,'r',
	0x2e,'5',
	0x31,'n',
	0x32,'b',
	0x33,'h',
	0x34,'g',
	0x35,'z',
	0x36,'6',
	0x39,',',
	0x3a,'m',
	0x3b,'j',
	0x3c,'u',
	0x3d,'7',
	0x3e,'8',
	0x41,',',
	0x42,'k',
	0x43,'i',
	0x44,'o',
	0x45,'0',
	0x46,'9',
	0x49,'.',
	0x4a,'-',
	0x4b,'l',
	0x4c,'',
	0x4d,'p',
	0x4e,'',
	0x52,'',
	0x54,'',
	0x55,'',
	0x5a,'\r',	//Absatztaste
	0x5b,'+',
	0x5d,'#',
	0x61,'<',
	0x66,8,		//rcktaste
	0x69,'1',
	0x6b,'4',
	0x6c,'7',
	0x70,'0',
	0x71,',',
	0x72,'2',
	0x73,'5',
	0x74,'6',
	0x75,'8',
	0x76, 01,	//ESC
	0x79,'+',
	0x7a,'3',
	0x7b,'-',
	0x7c,'*',
	0x7d,'9',
	0,0};

// Shifted characters
unsigned char shifted[][2] PROGMEM = {
	0x0d,9,
	0x0e,'',
	0x15,'Q',
	0x16,'!',
	0x1a,'Y',
	0x1b,'S',
	0x1c,'A',
	0x1d,'W',
	0x1e,'"',
	0x21,'C',
	0x22,'X',
	0x23,'D',
	0x24,'E',
	0x25,'$',
	0x26,'',
	0x29,' ',
	0x2a,'V',
	0x2b,'F',
	0x2c,'T',
	0x2d,'R',
	0x2e,'%',
	0x31,'N',
	0x32,'B',
	0x33,'H',
	0x34,'G',
	0x35,'Z',
	0x36,'&',
	0x39,'L',
	0x3a,'M',
	0x3b,'J',
	0x3c,'U',
	0x3d,'/',
	0x3e,'(',
	0x41,';',
	0x42,'K',
	0x43,'I',
	0x44,'O',
	0x45,'=',
	0x46,')',
	0x49,':',
	0x4a,'_',
	0x4b,'L',
	0x4c,'',
	0x4d,'P',
	0x4e,'?',
	0x52,'',
	0x54,'',
	0x55,'`',
	0x5a,13,
	0x5b,'*',
	0x5d,'\'',
	0x61,'>',
	0x66,8,
	0x69,'1',
	0x6b,'4',
	0x6c,'7',
	0x70,'0',
	0x71,',',
	0x72,'2',
	0x73,'5',
	0x74,'6',
	0x75,'8',
	0x79,'+',
	0x7a,'3',
	0x7b,'-',
	0x7c,'*',
	0x7d,'9',
	0,0};
	
//Special characters
unsigned char special_keys[][2] PROGMEM = {
	0x11,'A',	//R ALT			E0,11
	0x14,'C',	//R CTRL			E0,14
	0x1F,'W',	//L GUI			E0,1F
	0x27,'W',	//R GUI			E0,27
	0x2F,'A',	//APPS			E0,2F
	0x4A,'/', 	//KP /			E0,4A
	0x5A,'\r',	//KP ENTER		E0,5A
	0x75,'U',	//UP ARROW		E0,75
	0x6B,'L',	//LEFT ARROW		E0,6B
	0x6C,'H',	//HOME			E0,6C
	0x70,'I',	//INSERT			E0,70
	0x71,'d',	//DELETE			E0,71
	0x72,'D',	//DOWN ARROW	E0,72
	0x74,'R',	//RIGHT ARROW	E0,74
	0x7A,'d',	//PG DN			E0,7A
	0x7D,'u',	//PG UP			E0,7D
	0x69,'E',	//END			E0,69
	0,0,};

//Alternate graphic characters
unsigned char alt_gr_keys[][2] PROGMEM = {
	0x15,'@',
	0x1E,'',
	0x24,'',
	0x26,'',
	0x3A,'',
	0x3D,'{',
	0x3E,'[',
	0x45,'}',
	0x46,']',
	0x4E,'\\',
	0x5B,'~',
	0x61,'|',
	0,0,};
