/**
 * Gregor Richter und Markus Schwenk 2008
 * 
 * Dieser Header verffentlicht Funktionen von uart.c
 *
 */

#ifndef Data_H
#define Data_H

#include <inttypes.h>

// Baudrate 19200UL
#define BAUD  19200UL

// wie lange soll get_char warten (in ms) bis abgebrochen wird:
#define TIMEOUT		900

void uart_init(void);

void uart_put_char(uint8_t temp);

uint8_t get_char(void);

uint8_t wait_until (char *string);

#include "uart.c"

#endif
